ResponseAuthCache (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class ResponseAuthCache

    java.lang.Object
      org.apache.http.client.protocol.ResponseAuthCache

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

Deprecated. (4.2) use `AuthenticationStrategy`

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class ResponseAuthCache

extends Object
implements org.apache.http.HttpResponseInterceptor

Response interceptor that adds successfully completed `AuthScheme`s to the local `AuthCache` instance. Cached `AuthScheme`s can be re-used when executing requests against known hosts, thus avoiding additional authentication round-trips.

Since:
  4.1

Constructor Summary
`ResponseAuthCache()` Deprecated.

Method Summary
`void` | `process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseAuthCache

    public ResponseAuthCache()

  Deprecated.

Method Detail

### process

    public void process(org.apache.http.HttpResponse response,
                        org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

  Deprecated.
  Specified by:
    `process` in interface `org.apache.http.HttpResponseInterceptor`
  Throws:
    `org.apache.http.HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.